Question: How solve bioconductor dependency package error?
0
gravatar for s.rezaalavian
4 weeks ago by
s.rezaalavian0 wrote:

I’ have just tried to submit a package to CRAN which has a Bioconductor dependency. I import "GeneticsPed" in my package but when installing it, have this error:

ERROR: dependency 'GeneticsPed' is not available for package 'LRQMM'

* removing 'C:/Users/.../LRQMM'.

or this check: https://cran.um.ac.ir/web/checks/check_results_LRQMM.html

I tried "biocViews " in description file with empty form like this :

"biocViews:

Imports: GeneticsPed, ..."

but not been succeed.

How can i solving this problem?

Thanks.

ADD COMMENTlink modified 4 weeks ago by anasmith1620 • written 4 weeks ago by s.rezaalavian0
Answer: How solve bioconductor dependency package error?
3
gravatar for Martin Morgan
4 weeks ago by
Martin Morgan ♦♦ 23k
United States
Martin Morgan ♦♦ 23k wrote:

CRAN dependencies on Bioconductor packages are not usually a problem, provided the Bioconductor package is available for the release and platform in question. It looks like GeneticsPed is available (see the badge at the top and link to the '.tgz' file at the bottom of https://bioconductor.org/packages/GeneticsPed), so this appears to be a CRAN configuration issue. Only CRAN can provide further insight.

ADD COMMENTlink written 4 weeks ago by Martin Morgan ♦♦ 23k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 187 users visited in the last hour